<%@ page contentType="text/html; charset=utf-8"
         pageEncoding="utf-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="format-detection" content="telephone=no">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">
    <meta name="renderer" content="webkit">
    <!-- 移动设备 viewport -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <jsp:include page="../../common.jsp" />
</head>
<body>
<div class="row animated fadeInRight" style="margin: 0;">
    <div class="wrapper wrapper-content mt5 right-content ml5 mr5">
        <div class="toolbar-panel bdd">
            <div class="toolbar-box">
                <div class="toolbar-head clearfix lgraybg pt5 pb10 pl10 bdbd">
                    <!-- 顶部按钮 -->
                    <div class="fl">
                        查询条件
                    </div>
                    <div class="tools fr">
                        <a href="javascript:void(0);" class="collapse dblock f14 dgray mr5">
                            <i class="fa-2x fa fa-angle-double-up"></i>
                        </a>
                    </div>
                </div>
            </div>
            <!--搜索条件 -->
            <div class="toolbar-body">
                <form class="layui-form" action="" id="form1" style="margin-top: 10px">
                    <div class="layui-form-item">
                        <div class="layui-inline">
                            <label class="layui-form-label">用户ID</label>
                            <div class="layui-input-block">
                                <input type="number" name="userId" id="userId" placeholder="用户ID" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">订单号</label>
                            <div class="layui-input-block">
                                <input type="text" name="orderNumber" id="orderNumber" placeholder="订单号" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">类型</label>
                            <div class="layui-input-block">
                                <select name="type" id="type" class="layui-select">
                                    <option value="">请选择</option>
                                    <option value="1">交易积分</option>
                                    <option value="2">活动积分</option>
                                    <option value="3">任务积分</option>
                                    <option value="4">签到积分</option>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">状态</label>
                            <div class="layui-input-block">
                                <select name="status" id="status" class="layui-select">
                                    <option value="">请选择</option>
                                    <option value="1">正常</option>
                                    <option value="-1">过期</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <!-- 表单数据 -->
    <div class="mb50 mt10">
        <div class="whitebg pl10 pr10">
            <table class="layui-hide" id="userIntegral" lay-filter="userIntegral"></table>
        </div>
    </div>
</div>

<script type="text/html" id="leftBar">
    <button type="button" class="layui-btn layui-btn-sm" lay-event="add"><i class="layui-icon">&#xe608;</i>新增</button>
    <button type="button" class="layui-btn layui-btn-normal layui-btn-sm" lay-event="search"><i class="layui-icon">&#xe615;</i>查询</button>
</script>

<script type="text/html" id="toolBar">
    <button type="button" class="layui-btn layui-btn-xs layui-btn-danger" lay-event="del"><i class="layui-icon">&#xe640;</i>删除</button>
</script>

<script>
    layui.use(['table', 'layer'], function(){
        var table = layui.table;
        var layer = layui.layer;

        var tableIns = table.render({
            elem: '#userIntegral'
            ,url:'${ctx}/userIntegral/page'
            ,id: 'userIntegral'
            ,response: {
                statusName: 'code' //数据状态的字段名称，默认：code
                ,countName: 'count' //数据总数的字段名称，默认：count
                ,dataName: 'data' //默数据列表的字段名称，认：data
                ,statusCode : 200
            }
            ,parseData: function(res){ //res 即为原始返回的数据
                return {
                    "code": res.code, //解析接口状态
                    "msg": res.message, //解析提示文本
                    "count": res.data.total, //解析数据长度
                    "data": res.data.records //解析数据列表
                };
            }
            ,toolbar: '#leftBar' //开启头部工具栏，并为其绑定左侧模板
            , defaultToolbar: ['filter']
            ,defaultToolbar: ['filter', 'exports', 'print', { //自定义头部工具栏右侧图标。如无需自定义，去除该参数即可
                title: '提示'
                ,layEvent: 'LAYTABLE_TIPS'
                ,icon: 'layui-icon-tips'
            }]
            ,title: '用户积分记录表'
            ,cols: [[
                {type: 'checkbox', fixed: 'left', hidden: true}
                ,{field:'numbers', title:'序号', fixed: 'left', unresize: true, width:80, type:'numbers'}
                ,{field:'userId', title:'用户ID'}
                ,{field:'orderNumber', title:'订单号',templet:function (d){
                        if(!d.orderNumber){
                            return '-';
                        }
                        return d.orderNumber;
                    }}
                ,{field:'orderAmt', title:'订单金额',templet:function (d){
                        if(!d.orderAmt){
                            return "-";
                        }
                        return d.orderAmt.toFixed(2);
                    }}
                ,{field:'type', title:'积分类型',templet: function (d) {
                    if(d.type === '1'){
                        return "交易积分"
                    }else if(d.type === '2'){
                        return "活动积分"
                    }else if(d.type === '3'){
                        return "任务积分"
                    }else if(d.source === '4'){
                        return "签到积分"
                    }
                 }}
                ,{field:'source', title:'积分来源',templet: function (d) {
                        if(d.source === '1'){
                            return "交易订单"
                        }else if(d.source === '2'){
                            return "云音箱"
                        }else if(d.source === '3'){
                            return "完成任务"
                        }else if(d.source === '4'){
                            return "签到打卡"
                        }else if(d.source === '5'){
                            return "扫码王"
                        }
                    }}
                ,{field:'integral', title:'积分',templet:function (d){
                    return '<span style="color: green"> +'+d.integral+'</span>';
                }}
                ,{field:'status', title:'状态',templet: function (d) {
                        if(d.status === 1){
                            return '<span style="color:green;">正常</span>'
                        }else if(d.status === -1){
                            return '<span style="color:green;">过期</span>'
                        }
                    }}
                ,{field:'remark', title:'备注'}
                ,{field: 'createTime', title: '发放时间', width: 160,templet : "<div>{{layui.util.toDateString(d.createTime,'yyyy-MM-dd HH:mm')}}</div>"}
                ,{fixed: 'right', title:'操作',width:200, toolbar: '#toolBar'}
            ]]
            ,request: {
                pageName: 'current' //页码的参数名称，默认：page
                ,limitName: 'size' //每页数据量的参数名，默认：limit
            }
            ,page: true
        });
        table.on('tool(userIntegral)', function(obj){ //注：tool 是工具条事件名，test 是 table 原始容器的属性 lay-filter="对应的值"
            var data = obj.data; //获得当前行数据
            var layEvent = obj.event; //获得 lay-event 对应的值（也可以是表头的 event 参数对应的值）
            if(layEvent === 'del'){ //删除
                layer.confirm('真的删除么?',{icon:3},function(index){
                    obj.del(); //删除对应行（tr）的DOM结构，并更新缓存
                    layer.close(index);
                    del(data);
                    //向服务端发送删除指令
                });
            }
        });

        //监听头工具栏事件
        table.on('toolbar(userIntegral)', function (obj) {
            switch (obj.event) {
                case 'add':
                    // 添加
                    toAdd();
                    break;
                case 'search':
                    var params = serialize($('#form1'));
                    table.reload('userIntegral', {
                        where: params
                        , page: {
                            size: 10
                            , current: 1
                        }
                    });
                    break;
            }
        });
        function toAdd(obj) {
            var url = '${ctx}/userIntegral/detail';
            var title = "新增";
            if(obj != undefined){
                url = "${ctx}/userIntegral/detail/"+obj.id;
                title = "编辑"
            }
            var index = layer.open({
                type: 2
                ,shade: 0.5
                ,title: title
                ,maxmin: true
                , content: url
                , area: ['500px', '520px']
            });
        }
        function del(obj) {
            $.ajax({
                url: '${ctx}/userIntegral/del/'+obj.id,
                method: 'DELETE',
                dataType: 'JSON',
                contentType:"application/json",
                success: function(res) {
                    if(res.code == 200) {
                        layer.msg(res.data, {
                            icon: 1
                        });
                    } else {
                        layer.msg(res.data, {
                            icon: 2
                        });
                    }
                }
            })
        }
    });
</script>
</body>
</html>
